Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.validators.common
Class CMUniOp

    java.lang.Object
      |
      +--org.apache.xerces.validators.common.CMNode
            |
            +--org.apache.xerces.validators.common.CMUniOp

public class CMUniOp
extends CMNode

Version:

Constructor Summary
`CMUniOp(int type, CMNode childNode)`

Method Summary
`protected void` | `calcFirstPos(org.apache.xerces.validators.common.CMStateSet toSet)`
`protected void` | `calcLastPos(org.apache.xerces.validators.common.CMStateSet toSet)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMUniOp

    public CMUniOp(int type,
                   CMNode childNode)
            throws CMException

Method Detail

### calcFirstPos

    protected void calcFirstPos(org.apache.xerces.validators.common.CMStateSet toSet)
                         throws CMException

  Overrides:
    calcFirstPos in class CMNode

### calcLastPos

    protected void calcLastPos(org.apache.xerces.validators.common.CMStateSet toSet)
                        throws CMException

  Overrides:
    calcLastPos in class CMNode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.